function gauss = mod_Response(x, y,att_position, s1_position, s2_position , params)

cx = params(1);
cy = params(2);
sx = params(3);
sy = params(4);
theta = params(5)*pi/180.0;
Peak = params(6);
baseline = params(7);

A1 = params(8);
s_inhib = params(9);
A2 = params(10); % With the same variance as the first inhibition

Ap = params(11);
sp = params(12);

x_att = att_position(1);
y_att = att_position(2);

x_s1 = s1_position(1);
y_s1 = s1_position(2);

x_s2 = s2_position(1);
y_s2 = s2_position(2);


gauss = ( Peak * exp ( - ((x - cx)*cos(theta) + (y - cy)*sin(theta)).^2 / (2.0 * sx^2) - ( -(x -cx)*sin(theta) + (y - cy)*cos(theta)).^2 / (2.0*sy^2)) ... 
          .* (1.0 + Ap* exp(- ( (x_att - x).^2 + (y_att - y).^2 ) / (2.0 * sp^2) )) + baseline ) ...
      ./ ( 1.0 + A1 * exp(- ( (x_s1 - x).^2 + (y_s1 - y).^2 ) / (2.0 * s_inhib^2) ) * (1.0 + Ap*exp(- ( (x_att - x_s1).^2 + (y_att - y_s1).^2 ) / (2.0 * sp^2))) ...
               + A2 * exp(- ( (x_s2 - x).^2 + (y_s2 - y).^2 ) / (2.0 * s_inhib^2) ) * (1.0 + Ap*exp(- ( (x_att - x_s2).^2 + (y_att - y_s2).^2 ) / (2.0 * sp^2))) );